Update SFTP user
package main
import ( "fmt" "strings" "net/http" "io")
func main() {
url := "https://api.wpengineapi.com/v1/installs/294deacc-d8b8-4005-82c4-0727ba8ddde0/sftp_users/install-developer"
payload := strings.NewReader("{ \"password\": \"NewSecurePass456!\", \"path\": \"/www\" }")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Basic <credentials>") req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}const url = 'https://api.wpengineapi.com/v1/installs/294deacc-d8b8-4005-82c4-0727ba8ddde0/sftp_users/install-developer';const options = { method: 'PUT', headers: {Authorization: 'Basic <credentials>', 'Content-Type': 'application/json'}, body: '{"password":"NewSecurePass456!","path":"/www"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.wpengineapi.com/v1/installs/294deacc-d8b8-4005-82c4-0727ba8ddde0/sftp_users/install-developer \ --header 'Authorization: Basic <credentials>' \ --header 'Content-Type: application/json' \ --data '{ "password": "NewSecurePass456!", "path": "/www" }'Updates the password and path for an SFTP user.
Password Handling
The new password is supplied in the request and is never returned in the response. The client must store the password securely after the update.
Limitations & Warnings
- Not available for Autoscale accounts. Returns 403 for Autoscale accounts.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”ID of install
Example
294deacc-d8b8-4005-82c4-0727ba8ddde0Username of the SFTP user
Example
install-developerRequest Bodyrequired
Section titled “Request Bodyrequired”object
New password for the user
Example
NewSecurePass456!New SFTP path for the user
Example
/wwwResponses
Section titled “Responses”Returns the updated SftpUser object.
SFTP user credentials for an install
object
Full SFTP username (auto-prefixed with install name)
SFTP path for the user
Example
{ "name": "install-developer", "path": "/www/wp-content"}Bad Request
object
A message regarding the error that occurred on the server
(Optional) A URL where documentation regarding this specific error can be found
An array of error objects describing specific errors that arose when servicing the request
object
The name of the resource that was being processed when the error occurred
(Optional) The specific field associated with the error
(Optional) A type associated with the error. invalid_value, access_error, value_unavailable
(Optional) A machine code relating to the error that occurred with the field and resource
(Optional) A human-readable message relating to the error that occurred with the field and resource
Example
{ "message": "Invalid request.", "errors": [ { "resource": "Resource", "field": "field_name", "type": "invalid_value", "code": "invalid", "message": "The value is invalid." } ]}Authentication Error
object
A message regarding the error that occurred on the server
(Optional) A URL where documentation regarding this specific error can be found
Example
{ "message": "Bad Credentials"}Not authorized (install not found, no access, or Autoscale account)
object
A message regarding the error that occurred on the server
(Optional) A URL where documentation regarding this specific error can be found
Example
{ "message": "You don't have permission to perform that action"}Not found
object
A message regarding the error that occurred on the server
(Optional) A URL where documentation regarding this specific error can be found
Example
{ "message": "Not Found"}Too many requests
Internal Server Error
object
A message regarding the error that occurred on the server
Example
{ "message": "An unexpected error occurred, please try again in a few minutes"}An invalid response was received from an upstream server
Service unavailable